
From: Adrian Bunk <bunk@stusta.de>

The patch below makes two needlessly global functions static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/kernel/apic.c   |    4 ++--
 25-akpm/arch/x86_64/kernel/apic.c |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff -puN arch/i386/kernel/apic.c~i386-x86_64-apicc-make-two-functions-static arch/i386/kernel/apic.c
--- 25/arch/i386/kernel/apic.c~i386-x86_64-apicc-make-two-functions-static	2005-01-23 14:47:36.280681664 -0800
+++ 25-akpm/arch/i386/kernel/apic.c	2005-01-23 14:47:36.285680904 -0800
@@ -932,7 +932,7 @@ void (*wait_timer_tick)(void) = wait_825
 
 #define APIC_DIVISOR 16
 
-void __setup_APIC_LVTT(unsigned int clocks)
+static void __setup_APIC_LVTT(unsigned int clocks)
 {
 	unsigned int lvtt_value, tmp_value, ver;
 
@@ -982,7 +982,7 @@ static void setup_APIC_timer(unsigned in
  * APIC irq that way.
  */
 
-int __init calibrate_APIC_clock(void)
+static int __init calibrate_APIC_clock(void)
 {
 	unsigned long long t1 = 0, t2 = 0;
 	long tt1, tt2;
diff -puN arch/x86_64/kernel/apic.c~i386-x86_64-apicc-make-two-functions-static arch/x86_64/kernel/apic.c
--- 25/arch/x86_64/kernel/apic.c~i386-x86_64-apicc-make-two-functions-static	2005-01-23 14:47:36.281681512 -0800
+++ 25-akpm/arch/x86_64/kernel/apic.c	2005-01-23 14:47:36.286680752 -0800
@@ -686,7 +686,7 @@ void __init init_apic_mappings(void)
 
 #define APIC_DIVISOR 16
 
-void __setup_APIC_LVTT(unsigned int clocks)
+static void __setup_APIC_LVTT(unsigned int clocks)
 {
 	unsigned int lvtt_value, tmp_value, ver;
 
@@ -759,7 +759,7 @@ static void setup_APIC_timer(unsigned in
 
 #define TICK_COUNT 100000000
 
-int __init calibrate_APIC_clock(void)
+static int __init calibrate_APIC_clock(void)
 {
 	int apic, apic_start, tsc, tsc_start;
 	int result;
_
